> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Consumer Rain User

> Submits the caller's personal/KYC details to Rain's consumer application endpoint and upserts the local Rain user.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-consumer-rain-user
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-consumer-rain-user:
    post:
      operationId: createConsumerRainUser
      summary: Create Consumer Rain User
      description: >-
        Submits the caller's personal/KYC details to Rain's consumer application
        endpoint and upserts the local Rain user.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateConsumerRainUserRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateConsumerRainUserResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateConsumerRainUserRequest:
      type: object
      properties:
        countryFlowType:
          type: string
          enum:
            - US
            - INTERNATIONAL
        occupation:
          type: string
        annualSalary:
          type: string
          minLength: 1
        accountPurpose:
          type: string
          minLength: 1
        expectedMonthlyVolume:
          type: string
          minLength: 1
        cardLimitCents:
          type: integer
          minimum: 1
        birthDate:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        nationalId:
          type: string
          minLength: 1
        countryOfIssue:
          type: string
          minLength: 2
          maxLength: 2
        phoneCountryCode:
          type: string
          minLength: 1
          maxLength: 3
        phoneNumber:
          type: string
          minLength: 1
          maxLength: 15
        address:
          type: object
          properties:
            line1:
              type: string
              minLength: 1
            city:
              type: string
              minLength: 1
            region:
              type: string
              minLength: 1
            postalCode:
              type: string
              minLength: 1
            countryCode:
              type: string
              minLength: 2
              maxLength: 2
            line2:
              type: string
          required:
            - line1
            - city
            - region
            - postalCode
            - countryCode
      required:
        - countryFlowType
        - occupation
        - annualSalary
        - accountPurpose
        - expectedMonthlyVolume
        - birthDate
        - nationalId
        - countryOfIssue
        - phoneCountryCode
        - phoneNumber
        - address
    CreateConsumerRainUserResponse:
      type: object
      properties:
        rainUserId:
          type: string
        applicationStatus:
          type: string
        verificationUrl:
          type:
            - string
            - 'null'
        isNewUser:
          type: boolean
      required:
        - rainUserId
        - applicationStatus
        - verificationUrl
        - isNewUser
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
